/* ==========================================================================
   6. NAVIGATION (AUSGELAGERT)
   ========================================================================== */
.main-nav {
    display: flex;
    justify-content: space-between; /* Links Impressum, rechts Menü */
    align-items: center;            /* Vertikal mittig */
    padding: 20px;
    position: relative;
}

.logo-lefttop { width: 80px;}

.nav-right {
    display: flex;
    align-items: center;
    gap: 20px; /* Abstand zwischen Impressum, Toggle und Menü */
}

.top-nav-link a {
    text-decoration: none;
    color: #fff!important;
    font-family: 'Special Elite', sans-serif;
    font-size: 0.8rem;
}

.nav-toggle { display: none; } 

.nav-toggle-label { 
    cursor: pointer; 
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    z-index: 9999;
}

.nav-toggle-label span, 
.nav-toggle-label span::before, 
.nav-toggle-label span::after {
    display: block;
    background: #f5f5f5;
    height: 2px;
    width: 30px;
    position: relative;
}

.nav-toggle-label span::before, 
.nav-toggle-label span::after { 
    content: ''; 
    position: absolute; 
} 

.nav-toggle-label span::before { bottom: 8px; } 
.nav-toggle-label span::after { top: 8px; }

.main-nav ul {
    position: absolute;
    font-size:24px;
    top: 100%;
    right: 0; 
    width: 100%;
    background: #ffffffc7;
    display: none;
    flex-direction: column;
    list-style: none;
    margin: 0;
    padding: 0;
    z-index: 9999;
}

.nav-toggle:checked ~ ul { display: flex; }

.main-nav li { 
    text-align: center; 
    padding: 15px; 
    border-bottom: 1px solid #eee;
}

.main-nav a { 
    text-decoration: none; 
    color: #000; 
    font-family: 'Special Elite', cursive;
}